clang-tools 6.0.0

Namespaces | Macros | Functions
SpecialMemberFunctionsCheck.cpp File Reference
`#include "SpecialMemberFunctionsCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/DenseMapInfo.h"`
`#include "llvm/ADT/StringExtras.h"`
Include dependency graph for SpecialMemberFunctionsCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::cppcoreguidelines

## Macros
#define | DEBUG_TYPE "clang-tidy"

## Functions
static llvm::StringRef | clang::tidy::cppcoreguidelines::toString (SpecialMemberFunctionsCheck::SpecialMemberFunctionKind K)
static std::string | clang::tidy::cppcoreguidelines::join (ArrayRef< SpecialMemberFunctionsCheck::SpecialMemberFunctionKind > SMFS, llvm::StringRef AndOr)

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "clang-tidy"

Definition at line 17 of file SpecialMemberFunctionsCheck.cpp.